/*
 * Author:          Patrick-Christopher Mattulat
 * Company:         Lynar Studios
 * E-Mail:          webmaster@lynarstudios.com
 * Created:         2021-05-27
 * Changed:         2024-05-31
 *
 * */

#ifndef LS_STD_EVENT_NOT_HANDLED_EXCEPTION_HPP
#define LS_STD_EVENT_NOT_HANDLED_EXCEPTION_HPP

#include <ls-std/core/definition.hpp>
#include <ls-std/core/exception/Exception.hpp>

namespace ls::std::core
{
  ls_std_class EventNotHandledException final : public Exception
  {
    public:

      EventNotHandledException();
      explicit EventNotHandledException(const ::std::string &_message);
      ~EventNotHandledException() noexcept override;

      [[nodiscard]] const char *what() const noexcept override;
  };
}

#endif
